Add grouping and "Show Only Minimized" options to icons-only task manager
ClosedPublic

Authored by GB_2 on Aug 18 2019, 6:56 PM.

Details

Summary

FEATURE: 368430
FIXED-IN: 5.18.0
Being able to disable grouping for the icons-only task manager makes sense, because it has enough space to hold plenty of application icons/launchers. The "Show only tasks that are minimized" option is useful as well for the IOTM.

Test Plan

Open the IOTM behavior settings page. Enable/disable grouping and toggle the "Show only tasks that are minimized" option.

Diff Detail

Repository
R119 Plasma Desktop
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
GB_2 created this revision.Aug 18 2019, 6:56 PM
Restricted Application added a project: Plasma. · View Herald TranscriptAug 18 2019, 6:56 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
GB_2 requested review of this revision.Aug 18 2019, 6:56 PM
GB_2 edited the summary of this revision. (Show Details)Aug 18 2019, 6:57 PM
ngraham accepted this revision.Aug 18 2019, 9:17 PM
ngraham added a reviewer: hein.
ngraham added subscribers: hein, ngraham.

+1, but wait for @hein.

hein added a comment.Aug 19 2019, 4:50 AM

Code's fine, but let's discuss the change briefly - disabling grouping in ITM gets you a bunch of identical-looking icons you can't tell apart. I think that's a pretty ugly user experience, does it make sense to have an option to configure the applet into an invariably sort of unpleasant to use state? That's why I resisted it in the past.

GB_2 added a comment.EditedAug 19 2019, 6:56 AM
In D23242#514239, @hein wrote:

Code's fine, but let's discuss the change briefly - disabling grouping in ITM gets you a bunch of identical-looking icons you can't tell apart. I think that's a pretty ugly user experience, does it make sense to have an option to configure the applet into an invariably sort of unpleasant to use state? That's why I resisted it in the past.

There's already the option to disable grouping for specific apps. Having an option to disable it for all aps is a feature that gets requested from time to time and you can get it on for example Latte Dock, Cinnamon, LXDE/LXQt or Windows with registry edit tweaks.
Also:

  • it is not an issue if you have a pretty consistent set of windows open, so you just remember which is which
  • you can tell from tooltip
  • if you have no minimize button it is very useful
  • just let the user decide

I personally would use this feature.

GB_2 added a comment.Aug 26 2019, 4:14 PM
This comment was removed by GB_2.
GB_2 edited the summary of this revision. (Show Details)Sep 6 2019, 2:19 PM
GB_2 edited the summary of this revision. (Show Details)
GB_2 added a comment.Sat, Nov 16, 7:19 PM

@hein If you really still think we shouldn't do this then I can change this patch to only affect the "Show Only Minimized" option and close the bug as INTENTIONAL.

FWIW the bug this fixes (https://bugs.kde.org/show_bug.cgi?id=368430) is starting to accumulate duplicates. There seems to be some user demand for this.

hein added a comment.Thu, Dec 12, 5:53 PM

Let's go for it, it's fairly in line with the TM applet refectoring we planned in Valencia at the end of the day

ngraham removed a reviewer: hein.Thu, Dec 12, 5:58 PM
This revision is now accepted and ready to land.Thu, Dec 12, 5:58 PM
ngraham edited the summary of this revision. (Show Details)Thu, Dec 12, 8:35 PM
This revision was automatically updated to reflect the committed changes.